SecurityTracker.com
    Home    |    View Topics    |    Search    |    Contact Us    |   

SecurityTracker
Archives


 


Category:   Application (Web Server/CGI)  >   LiteSpeed Web Server Vendors:   Lite Speed Technologies Inc.
LiteSpeed Web Server Input Validation Flaw in 'confMgr.php' Permits Cross-Site Scripting Attacks
SecurityTracker Alert ID:  1015234
SecurityTracker URL:  http://securitytracker.com/id/1015234
CVE Reference:   GENERIC-MAP-NOMATCH   (Links to External Site)
Date:  Nov 17 2005
Impact:   Disclosure of authentication information, Disclosure of user information, Execution of arbitrary code via network, Modification of user information
Exploit Included:  Yes  
Version(s): 2.1.5
Description:   Ziv Kamir from GamaSec reported a vulnerability in LiteSpeed Web Server. A remote user can conduct cross-site scripting attacks.

The 'confMgr.php' script does not properly filter HTML code from user-supplied input in the 'm' parameter before displaying the input. A remote user can create a specially crafted URL that, when loaded by a target user, will cause arbitrary scripting code to be executed by the target user's browser. The code will originate from the site running the LiteSpeed Web Server software and will run in the security context of that site. As a result, the code will be able to access the target user's cookies (including authentication cookies), if any, associated with the site, access data recently submitted by the target user via web form to the site, or take actions on the site acting as the target user.
Cross-Site-Scripting Vulnerability:

A demonstration exploit URL is provided:

http://[target]:7080/admin/config/confMgr.php?m=al_adminListener%3Cscript%3Ealert(document.cookie)%3C/script%3E

The vendor was notified on November 2, 2005.

Impact:   A remote user can access the target user's cookies (including authentication cookies), if any, associated with the site running the LiteSpeed Web Server software, access data recently submitted by the target user via web form to the site, or take actions on the site acting as the target user.
Solution:   No solution was available at the time of this entry.
Vendor URL:  litespeedtech.com/ (Links to External Site)
Cause:   Input validation error
Underlying OS:  Linux (Any), UNIX (FreeBSD), UNIX (macOS/OS X), UNIX (Solaris - SunOS)

Message History:   None.


 Source Message Contents

Subject:  LiteSpeed

LiteSpeed ,




		
__________________________________ 
Yahoo! FareChase: Search multiple travel sites in one click.
http://farechase.yahoo.com



16/11/05


                         ***********************************************
                         *           % GamaSec / GamaScan %            *
                         *                                             *
                         * Online Web Vulnerability Assessment Scanner *
                         *                                             *
                         ***********************************************		

---------------------------------------------------------------------------------------------------

Application: LiteSpeed
Web Site:    www.litespeedtech.com
Versions:    2.1.5
Platform:    Linux

             
                           
Credits:
########

#########################################
#           ==  Ziv Kamir ==            #
#                                       #
#              % GamaSec %              #                   
#                                       #
#            www.GamaSec.com            #
#                                       #
#                                       #
#########################################

---------------------

1) Introduction
2) Bugs
3) The Code
4) Fix


================
1) Introduction
================

LiteSpeed web server is an Apache interchangeable, full-featured high performance,
secure HTTP server specifically engineered from the ground
up with security and scalability in mind. 



=======
2) Bugs
=======


Cross-Site-Scripting Vulnerability:

When configuring the server the "confMgr.php" script doesn't properly validate 
user-supplied input in the 'm' parameter.

===========
3) The Code
===========

http://[target]:7080/admin/config/confMgr.php?m=al_adminListener%3Cscript%3Ealert(document.cookie)%3C/script%3E

======
4) Fix
======

Date of Vendor Notification:
----------------------------

02/11/05

Response :
=========

02/11/05

Thank you for the bug report. We will investigate. 

==============================================================================================

                 *** The Data is for educational purpose only. *** 

          The information in this bulletin is provided "AS IS" without 
          warranty of any kind. In no event shall we be liable for any 
          damages whatsoever including direct, indirect, incidental, 
          consequential, loss of business profits or special damages. 

==============================================================================================
 
 


Go to the Top of This SecurityTracker Archive Page





Home   |    View Topics   |    Search   |    Contact Us

This web site uses cookies for web analytics. Learn More

Copyright 2019, SecurityGlobal.net LLC